GOOGLE-AUTH-OAUTHLIB(1)

NAME
google-oauthlib-tool - oauthlib integration with google-auth

SYNOPSIS
google-oauthlib-tool [OPTIONS]

DESCRIPTION

    Command-line tool for obtaining authorization and credentials from a user.

    This tool uses the OAuth 2.0 Authorization Code grant as described in section 1.3.1 of RFC6749: https://tools.ietf.org/html/rfc6749#section-1.3.1

    This tool is intended for assist developers in obtaining credentials for testing applications where it may not be possible or easy to run a complete OAuth 2.0 authorization flow, especially in the case of code samples or embedded devices without input / display capabilities.

    This is not intended for production use where a combination of companion and on-device applications should complete the OAuth 2.0 authorization flow to get authorization from the users.

OPTIONS

--client-secrets <client_secret_json_file>
    Path to OAuth2 client secret JSON file. [required]

--scope <oauth2 scope>
    API scopes to authorize access for. [required]

--save
    Save the credentials to file. [default: False]

--credentials <oauth2_credentials>
    Path to store OAuth2 credentials. [default: /root/.config/google-oauthlibtool/credentials.json]

--headless
    Run a console based flow. [default: False]

--help
    Show this message and exit.